function nixsh
    if test (count $argv) = 0
        if nix-shell --run "fish"
            return 0
        else
            nix shell .#
            return $status
        end
    end

    nix-shell --run "fish" -p $argv
end

function nixdev
    nix develop -c fish
end

function n14
    export NIXPKGS_ALLOW_INSECURE 1
    NIXPKGS_ALLOW_INSECURE=1 nixsh nodejs-slim_14 yarn nodePackages.svelte-language-server nodePackages.npm $argv
end

alias n14dev="n14 --run 'pnpm dev'"
alias n14pl="n14 --run 'pnpm prod-local'"

alias n14="nixsh nodejs_14 yarn nodePackages.svelte-language-server nodePackages.npm"
alias n14dev="n14 --run 'pnpm dev'"
alias n14pl="n14 --run 'pnpm prod-local'"

function n16
    export NIXPKGS_ALLOW_INSECURE 1
    NIXPKGS_ALLOW_INSECURE=1 nixsh nodejs-slim_16 yarn nodePackages.svelte-language-server nodePackages.npm $argv
end

alias n16dev="n16 --run 'pnpm dev'"
alias n16pl="n16 --run 'pnpm prod-local'"

alias n18="nixsh nodejs-slim_18 yarn nodePackages.svelte-language-server"
alias n18dev="n18 --run 'pnpm dev'"
alias n18pl="n18 --run 'pnpm prod-local'"

alias n20="nixsh nodejs-slim_20 yarn nodePackages.svelte-language-server"
alias n20dev="n20 --run 'pnpm dev'"
alias n20pl="n20 --run 'pnpm prod-local'"
alias n20add="n20 --run pnpm add"

function n20add
    n20 --run "pnpm add $argv"
end

